<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Phunk
 */

get_header();

$layout = phunk_blog_layout();

if ( 'layout-default' === $layout ) {
	$cols = 'col75';
} elseif ( 'layout-3cols' === $layout ) {
	$cols = '';
} elseif ( 'layout-1cols-2sb' === $layout ) {
	$cols = 'col50';
}

?>

	<?php
	if ( 'layout-1cols-2sb' === $layout ) {
		get_sidebar( 'left' );
	}
	?>

	<div id="primary" class="content-area <?php echo $cols; ?>">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				the_archive_description( '<div class="archive-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<div class="grid-layout clear">
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;
			?>
			</div>
			<?php
			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
if ( 'layout-3cols' !== $layout ) {
	get_sidebar();
}
get_footer();
