<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Phunk
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'phunk_before_page' ); ?>

<div id="page" class="site">

	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'phunk' ); ?></a>	

		<?php
			$valid_sections  = array( 'phunk_top_bar', 'phunk_site_navigation', 'phunk_render_slider', 'phunk_hot_topics' );
			$header_sections = get_theme_mod( 'header_order', array( 'phunk_top_bar', 'phunk_site_navigation' ) );

			foreach ( $header_sections as $header_section ) {
				if ( in_array( $header_section, $valid_sections ) ) {
					call_user_func( $header_section );
				}
			}
		?>
		
	<div id="content" class="site-content <?php echo phunk_container_type(); ?> contCenter">