<?php
/**
 * The template for displaying images
 *
 * @package Phunk
 */

get_header();
?>

	<div id="primary" class="content-area col75 col-t-100">
		<main id="main" class="site-main">

		<nav id="image-navigation" class="navigation image-navigation clear">
			<div class="nav-links">
				<div class="nav-previous"><?php previous_image_link( false, __( 'Previous Image', 'phunk' ) ); ?></div>
				<div class="nav-next"><?php next_image_link( false, __( 'Next Image', 'phunk' ) ); ?></div>
			</div>
		</nav>

		<?php
		while ( have_posts() ) :
			the_post();

			?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<header class="entry-header">
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
				</header><!-- .entry-header -->
			<?php

			echo wp_get_attachment_image( get_the_ID(), 'full' );
			?>

			<div class="entry-caption">
				<?php the_excerpt(); //Outputs the caption ?>
			</div>

			<div class="entry-content">
				<?php the_content(); //Outputs the description ?>
			</div>
		</article>
		<?php
			the_post_navigation(
				array(
					'prev_text' => _x( '<span class="meta-nav">Published in </span><span class="post-title">%title</span>', 'Parent post link', 'phunk' ),
				)
			);

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();