<?php
/**
 * Blog related Customizer options
 * Built for Kirki
 */

Phunk_Kirki::add_panel( 'phunk_panel_blog', array(
    'priority'    => 10,
    'title'       => esc_attr__( 'Blog options', 'phunk' ),
) );

//Blog index
Phunk_Kirki::add_section( 'phunk_section_blog_index', array(
    'title'       	 => esc_attr__( 'Index and archives', 'phunk' ),
    'panel'          => 'phunk_panel_blog',
    'priority'       => 12,
) );


Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'radio',
	'settings'    => 'blog_layout',
	'label'       => __( 'Blog layout', 'phunk' ),
	'section'     => 'phunk_section_blog_index',
	'default'     => 'layout-default',
	'choices'     => array(
		'layout-default' 		=> esc_attr__( 'Grid - Default', 'phunk' ),
		'layout-3cols'			=> esc_attr__( 'Grid - 3 columns', 'phunk' ),
		'layout-1cols-2sb' 		=> esc_attr__( 'Grid - 1 column + 2 sidebars', 'phunk' ),
	),
	'priority'    => 10,
) );

//Single posts
Phunk_Kirki::add_section( 'phunk_section_blog_singles', array(
    'title'       	 => esc_attr__( 'Single posts', 'phunk' ),
    'panel'          => 'phunk_panel_blog',
    'priority'       => 12,
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'radio',
	'settings'    => 'post_navigation',
	'label'       => esc_attr__( 'Post navigation', 'phunk' ),
	'description' => esc_attr__( 'Display style for next/previous post links', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => 'floating',
	'choices'     => array(
		'regular' 		=> esc_attr__( 'Regular', 'phunk' ),
		'floating'		=> esc_attr__( 'Floating', 'phunk' ),
	),
	'priority'    => 10,
	'transport' => 'postMessage',
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'radio',
	'settings'    => 'post_layout',
	'label'       => esc_attr__( 'Post layout', 'phunk' ),
	'description' => esc_attr__( 'Layout type for all your single posts', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => 'layout-default',
	'choices'     => array(
		'layout-default' 	=> esc_attr__( 'Default', 'phunk' ),
		'layout-no-sidebar'	=> esc_attr__( 'No sidebar', 'phunk' ),
	),
	'priority'    => 10,
	'transport' => 'postMessage',
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'slider',
	'settings'    => 'single_post_max_width',
	'label'       => esc_attr__( 'Content max. width', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => 795,
	'choices'     => array(
		'min'  => '400',
		'max'  => '1200',
		'step' => '5',
	),
    'required'  => array(
        array(
            'setting'  => 'post_layout',
            'value'    => 'layout-no-sidebar',
            'operator' => '==',
        ),
	),
	'transport'	=> 'auto',
	'output'    => array(
		array(
			'element'  	=> '.single-post-no-sidebar',
			'property' 	=> 'max-width',
			'units'		=> 'px'
		),
	),	
	'priority'    => 10,
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'center_entry_header',
	'label'       => esc_attr__( 'Center post header content?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
	'transport'	=> 'auto',
	'output' => array(
		array(
			'element'       => '.single-post .entry-header',
			'property'      => 'text-align',
			'value_pattern' => 'center',
			'exclude'       => array( false ),
		),
	),		
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'reverse_entry_header',
	'label'       => esc_attr__( 'Reverse header content?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
    'transport'   => 'postMessage',		
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'hide_post_cats',
	'label'       => esc_attr__( 'Hide categories?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
	'transport'	=> 'auto',
	'output' => array(
		array(
			'element'       => '.single-cats',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		),
	),		
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'hide_post_date',
	'label'       => esc_attr__( 'Hide date?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
	'transport'	=> 'auto',
	'output' => array(
		array(
			'element'       => '.single-post .posted-on',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		),
		array(
			'element'       => '.single-post .sep',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		),		
	),		
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'hide_post_author',
	'label'       => esc_attr__( 'Hide author?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
	'transport'	=> 'auto',
	'output' => array(
		array(
			'element'       => '.single-post .byline',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		),
		array(
			'element'       => '.single-post .sep',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		),
	),		
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'hide_post_tags',
	'label'       => esc_attr__( 'Hide tags?', 'phunk' ),
	'section'     => 'phunk_section_blog_singles',
	'default'     => '',
	'priority'    => 10,
	'transport'	=> 'auto',
	'output' => array(
		array(
			'element'       => '.single-post .entry-footer',
			'property'      => 'display',
			'value_pattern' => 'none',
			'exclude'       => array( false ),
		)	
	),		
) );