<?php
/**
 * Colors Customizer panel
 *
 * @package Phunk
 */



$colors = phunk_default_colors();

Phunk_Kirki::add_panel( 'phunk_panel_colors', array(
    'priority'    => 10,
    'title'       => __( 'Colors', 'phunk' ),
) );


//Accent color
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'accent_color',
	'label'       => esc_attr__( 'Accent color', 'phunk' ),
	'section'     => 'colors',
	'default'     => $colors['accent_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-header-cart .buttons a:hover,.header-cart .cart-amount,.hero-slider .first-cat,.grid-layout .read-more-link:hover,.grid-layout .first-cat,.widget_search .search-form::after,.phunk_recent_entries li::before,.navigation.pagination .page-numbers:hover, .navigation.pagination .page-numbers.current, button, input[type="button"], input[type="reset"], input[type="submit"], button:active, button:focus, input[type="button"]:active, input[type="button"]:focus, input[type="reset"]:active, input[type="reset"]:focus, input[type="submit"]:active, input[type="submit"]:focus',
			'property' => 'background-color',
		),
		array(
			'element'  => '.footer-widgets a:hover,.hero-slider .posted-on a:hover,.comments-area .comment-reply-link:hover,.hentry:not(.grid-item) .entry-meta a:hover,.grid-layout .entry-title a:hover,.top-bar .header-social .social-item a:hover,.top-bar .header-additionals .icon-search:hover,.top-bar .header-additionals .icon-cancel:hover,a, a:hover, a:focus, a:active, a:visited, .main-navigation ul ul a:hover, .main-navigation a:hover',
			'property' => 'color',
		),
		array(
			'element'  => '.comments-area .comment-reply-link,.single-cats a,.attachment .post-navigation .post-title,.entry-content a',
			'property' => 'border-color',
		),				
	),	
) );

//Body
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'body_text_color',
	'label'       => esc_attr__( 'Body text', 'phunk' ),
	'section'     => 'colors',
	'default'     => $colors['body_text_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => 'body',
			'property' => 'color',
		),
	),	
) );

/**
 * Header
 */
Phunk_Kirki::add_section( 'phunk_section_header_colors', array(
    'title'       	 => __( 'Header', 'phunk' ),
    'panel'          => 'phunk_panel_colors',
    'priority'       => 12,
) );
//Site title
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'site_title_color',
	'label'       => esc_attr__( 'Site title', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['site_title_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-title a',
			'property' => 'color',
		),
	),	
) );

//Site desc
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'site_description_color',
	'label'       => esc_attr__( 'Site description', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['site_description_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-description',
			'property' => 'color',
		),
	),	
) );

//Top bar
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'top_bar_background_color',
	'label'       => esc_attr__( 'Top bar background', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['top_bar_background_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.top-bar',
			'property' => 'background-color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'top_bar_color',
	'label'       => esc_attr__( 'Top bar color', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['top_bar_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.top-bar .header-social .social-item a,.top-bar .header-additionals',
			'property' => 'color',
		),
	),	
) );


//Menu bar
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'menu_bar_color',
	'label'       => esc_attr__( 'Menu bar', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['menu_bar_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-header',
			'property' => 'background-color',
		),
	),	
) );

//Menu items
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'menu_items_color',
	'label'       => esc_attr__( 'Menu items', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['menu_items_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.main-navigation a, .main-navigation a:active',
			'property' => 'color',
		),
	),	
) );

//Submenu items
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'submenu_items_color',
	'label'       => esc_attr__( 'Submenu items', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['submenu_items_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.main-navigation ul ul a',
			'property' => 'color',
		),
	),	
) );

//Submenu background
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'submenu_background_color',
	'label'       => esc_attr__( 'Submenu background', 'phunk' ),
	'section'     => 'phunk_section_header_colors',
	'default'     => $colors['submenu_background_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.main-navigation ul ul li',
			'property' => 'background-color',
		),
	),	
) );

/**
 * Sidebar
 */
Phunk_Kirki::add_section( 'phunk_section_sidebar_colors', array(
    'title'       	 => __( 'Sidebar', 'phunk' ),
    'panel'          => 'phunk_panel_colors',
    'priority'       => 12,
) );
//Widget titles
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'widget_title_color',
	'label'       => esc_attr__( 'Widget title color', 'phunk' ),
	'section'     => 'phunk_section_sidebar_colors',
	'default'     => $colors['widget_title_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '#secondary .widget .widget-title',
			'property' => 'color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'widget_title_background_color',
	'label'       => esc_attr__( 'Widget title background', 'phunk' ),
	'section'     => 'phunk_section_sidebar_colors',
	'default'     => $colors['widget_title_background_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '#secondary .widget .widget-title',
			'property' => 'background-color',
		),
	),	
) );
//Widget text
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'widget_text_color',
	'label'       => esc_attr__( 'Widget text', 'phunk' ),
	'section'     => 'phunk_section_sidebar_colors',
	'default'     => $colors['widget_text_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '#secondary .widget',
			'property' => 'color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'widget_links_color',
	'label'       => esc_attr__( 'Widget links color', 'phunk' ),
	'section'     => 'phunk_section_sidebar_colors',
	'default'     => $colors['widget_links_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '#secondary .widget a',
			'property' => 'color',
		),
	),	
) );

/**
 * Footer
 */
Phunk_Kirki::add_section( 'phunk_section_footer_colors', array(
    'title'       	 => __( 'Footer', 'phunk' ),
    'panel'          => 'phunk_panel_colors',
    'priority'       => 12,
) );
//Footer widgets
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_widgets_background_color',
	'label'       => esc_attr__( 'Footer widgets background', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_widgets_background_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.footer-widgets',
			'property' => 'background-color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_widgets_title_color',
	'label'       => esc_attr__( 'Footer widgets title color', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_widgets_title_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.footer-widgets .widget-title',
			'property' => 'color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_widgets_color',
	'label'       => esc_attr__( 'Footer widgets color', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_widgets_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.footer-widgets .widget',
			'property' => 'color',
		),
	),	
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_widgets_links_color',
	'label'       => esc_attr__( 'Footer widget links color', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_widgets_links_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.footer-widgets a',
			'property' => 'color',
		),
	),	
) );
//Footer credits text
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_credits_color',
	'label'       => esc_attr__( 'Footer credits text', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_credits_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-info, .site-info a',
			'property' => 'color',
		),
	),	
) );
//Footer credits background
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'color',
	'settings'    => 'footer_credits_background_color',
	'label'       => esc_attr__( 'Footer credits background', 'phunk' ),
	'section'     => 'phunk_section_footer_colors',
	'default'     => $colors['footer_credits_background_color'],
	'priority'    => 10,
	'transport'   => 'auto',
	'output' => array(
		array(
			'element'  => '.site-info',
			'property' => 'background-color',
		),
	),	
) );