<?php
/**
 * Fonts Customizer panel
 *
 * @package Phunk
 */


/**
 * Fonts
 */

Phunk_Kirki::add_panel( 'phunk_panel_typography', array(
    'priority'    => 10,
	'title'       => __( 'Typography options', 'phunk' ),
) );


/**
 * Families
 */
Phunk_Kirki::add_section( 'phunk_section_typography_families', array(
	'title'       	 => esc_attr__( 'Families', 'phunk' ),
    'panel'          => 'phunk_panel_typography',
    'priority'       => 12,
) );

//Body family
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'body_font',
	'label'       => esc_attr__( 'Body', 'phunk' ),
	'section'     => 'phunk_section_typography_families',
	'default'     => array(
		'font-family'    => 'Source Code Pro',
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
	'choices'  => array(
		'variant' => array(
			'regular',
			'600',
		),
	),		
) );


//Headings family
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'headings_font',
	'label'       => esc_attr__( 'Headings', 'phunk' ),
	'section'     => 'phunk_section_typography_families',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'		 => '600',		
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h1,h2,h3,h4,h5,h6,.site-title',
		),
	),
) );

/**
 * Sizes
 */
Phunk_Kirki::add_section( 'phunk_section_typography_sizes', array(
	'title'       	 => esc_attr__( 'Sizes', 'phunk' ),
    'panel'          => 'phunk_panel_typography',
    'priority'       => 12,
) );

//Site title
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_site_title',
	'label'       => esc_attr__( 'Site title', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'uppercase',
		'letter-spacing' => '1px',
		'line-height'    => '1.2',
		'font-size'      => '56px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.site-title',
			'media_query' => '@media (min-width: 1024px)',
		),
	),
) );

//Site description
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_site_description',
	'label'       => esc_attr__( 'Site description', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'initial',
		'letter-spacing' => '0px',
		'line-height'    => '1.8',
		'font-size'      => '14px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.site-description',
		),
	),
) );

//Menu
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_menu_items',
	'label'       => esc_attr__( 'Menu items', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'uppercase',
		'letter-spacing' => '1px',
		'line-height'    => '1.8',
		'font-size'      => '16px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.main-navigation li',
		),
	),
) );

//Blog index post titles
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_index_post_titles',
	'label'       => esc_attr__( 'Blog archives post titles', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'initial',
		'letter-spacing' => '0px',
		'line-height'    => '1.2',
		'font-size'      => '22px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.grid-layout .entry-title',
			'media_query' => '@media (min-width: 1024px)',
		),
	),
) );

//Single post titles
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_single_post_titles',
	'label'       => esc_attr__( 'Single post titles', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'initial',
		'letter-spacing' => '0px',
		'line-height'    => '1.2',
		'font-size'      => '36px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.single .entry-title',
			'media_query' => '@media (min-width: 1024px)',
		),
	),
) );

//Body
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'typography',
	'settings'    => 'typography_body',
	'label'       => esc_attr__( 'Body', 'phunk' ),
	'section'     => 'phunk_section_typography_sizes',
	'default'     => array(
		'text-transform' => 'initial',
		'letter-spacing' => '0px',
		'line-height'    => '1.8',
		'font-size'      => '16px',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) ); 