<?php
/**
 * Header related Customizer options
 * Built for Kirki
 */

Phunk_Kirki::add_panel( 'phunk_panel_header', array(
    'priority'    => 10,
    'title'       => esc_attr__( 'Header options', 'phunk' ),
) );

//Header social
Phunk_Kirki::add_section( 'phunk_section_social', array(
    'title'       	 => esc_attr__( 'Social', 'phunk' ),
    'panel'          => 'phunk_panel_header',
    'priority'       => 12,
) );
$socials = array( 
	'icon-facebook' 		=> 'Facebook',
	'icon-twitter'  		=> 'Twitter',
	'icon-linkedin'  		=> 'Linkedin',
	'icon-dribbble'  		=> 'Dribbble',
	'icon-gplus'  			=> 'Google Plus',
	'icon-xing' 			=> 'Xing',
	'icon-weibo' 			=> 'Weibo',
	'icon-vimeo-squared' 	=> 'Vimeo',
	'icon-youtube-play' 	=> 'YouTube',
	'icon-vkontakte'		=> 'VK',
	'icon-pinterest' 		=> 'Pinterest',
	'icon-instagram' 		=> 'Instagram',
	'icon-github-circled' 	=> 'GitHub',
	'icon-bandcamp' 		=> 'Bandcamp',
	'icon-behance' 			=> 'Behance',
	'icon-foursquare' 		=> 'Foursquare',
	'icon-reddit' 			=> 'Reddit',
	'icon-spotify' 			=> 'Spotify',
	'icon-soundcloud' 		=> 'Soundcloud',
);
Phunk_Kirki::add_field( 'phunk', array(
	'type'       		=> 'repeater',
	'settings'    		=> 'header_social',
	'label'       		=> esc_attr__( 'Social links', 'phunk' ),
	'description'		=> esc_attr__( 'Add as many links as you want. Drag and drop to rearrange', 'phunk' ),
	'section'     		=> 'phunk_section_social',
	'row_label' => array(
		'type'  => 'field',
		'value' => esc_attr__('Social network', 'phunk' ),
		'field' => 'icon',
	),
	'default'     => '',
	'fields' => array(
		'icon' => array(
			'type'        => 'select',
			'label'       => esc_attr__( 'Social network', 'phunk' ),
			'choices'     => $socials,
		),
		'link_url' => array(
			'type'        => 'text',
			'label'       => esc_attr__( 'Social profile link', 'phunk' ),
			'default'     => '',
		),
	)    
) );

//Slider 
Phunk_Kirki::add_section( 'phunk_section_carousel', array(
    'title'       	 => esc_attr__( 'Carousel', 'phunk' ),
    'panel'          => 'phunk_panel_header',
    'priority'       => 12,
) );

if ( class_exists( 'Kirki_Helper' ) ) {
	Phunk_Kirki::add_field( 'phunk', array(
		'type'     => 'select',
		'settings' => 'carousel_posts',
		'label'    		=> esc_attr__( 'Carousel posts', 'phunk' ),
		'description'	=> esc_attr__( 'Pick the posts you want to display in the carousel. You can also start typing to search the posts you want.', 'phunk' ),
		'section'  => 'phunk_section_carousel',
		'default'  => '',
		'priority' => 10,
		'multiple' => 20,
		'choices'  => Kirki_Helper::get_posts(
			array(
				'posts_per_page' => -1,
				'post_type'      => 'post'
			)
		),
	) );
}
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_1',
	'section'  => 'phunk_section_carousel',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'toggle',
	'settings'    => 'exclude_carousel_posts',
	'label'       => esc_attr__( 'Exclude carousel posts from posts list?', 'phunk' ),
	'description' => esc_attr__( 'Switching this option on will prevent carousel posts from being duplicated in the posts list', 'phunk' ),
	'section'  => 'phunk_section_carousel',
	'default'     => '0',
	'priority'    => 10,
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_2',
	'section'  => 'phunk_section_carousel',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'slider',
	'settings'    => 'autoplay_speed',
	'label'       => esc_attr__( 'Autoplay speed', 'phunk' ),
	'section'  	  => 'phunk_section_carousel',
	'default'     => 2000,
	'choices'     => array(
		'min'  => '0',
		'max'  => '8000',
		'step' => '500',
	),
) );

//Hot topics 
Phunk_Kirki::add_section( 'phunk_section_hot_topics', array(
    'title'       	 => esc_attr__( 'Hot topics', 'phunk' ),
    'panel'          => 'phunk_panel_header',
    'priority'       => 12,
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'image',
	'settings'    => 'box_1_image',
	'label'       => esc_attr__( 'Box 1 image', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'text',
	'settings'    => 'box_1_text',
	'label'       => esc_attr__( 'Box 1 text', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'url',
	'settings'    => 'box_1_url',
	'label'       => esc_attr__( 'Box 1 url', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_box_1',
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );





Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'image',
	'settings'    => 'box_2_image',
	'label'       => esc_attr__( 'Box 2 image', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'text',
	'settings'    => 'box_2_text',
	'label'       => esc_attr__( 'Box 2 text', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'url',
	'settings'    => 'box_2_url',
	'label'       => esc_attr__( 'Box 2 url', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_box_2',
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );




Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'image',
	'settings'    => 'box_3_image',
	'label'       => esc_attr__( 'Box 3 image', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'text',
	'settings'    => 'box_3_text',
	'label'       => esc_attr__( 'Box 3 text', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'url',
	'settings'    => 'box_3_url',
	'label'       => esc_attr__( 'Box 3 url', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_box_3',
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );



Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'image',
	'settings'    => 'box_4_image',
	'label'       => esc_attr__( 'Box 4 image', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'text',
	'settings'    => 'box_4_text',
	'label'       => esc_attr__( 'Box 4 text', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'url',
	'settings'    => 'box_4_url',
	'label'       => esc_attr__( 'Box 4 url', 'phunk' ),
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'priority'    => 10,
) );
Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'generic',
	'settings'    => 'separator_box_1',
	'section'  => 'phunk_section_hot_topics',
	'default'     => '',
	'choices'     => array(
		'element'  => 'hr',
		'style'    => 'height: 3px;background: #d9e2e4;border: 0;margin: 15px 0;',
	),
) );

//Header order
Phunk_Kirki::add_section( 'phunk_section_header_order', array(
    'title'       	 => esc_attr__( 'Header order', 'phunk' ),
	'panel'          => 'phunk_panel_header',
	'type'			 => 'expanded',
    'priority'       => 1,
) );

Phunk_Kirki::add_field( 'phunk', array(
	'type'        => 'sortable',
	'settings'    => 'header_order',
	'label'       => esc_attr__( 'Header elements order', 'phunk' ),
	'description' => esc_attr__( 'Drag and drop to rearrange the elements. Click the eye icon to disable.', 'phunk' ),
	'section'     => 'phunk_section_header_order',
	'default'     => array(
		'phunk_top_bar',
		'phunk_site_navigation',
	),
	'choices'     => array(
		'phunk_top_bar'			=> esc_attr__( 'Top bar', 'phunk' ),
		'phunk_site_navigation' => esc_attr__( 'Navigation', 'phunk' ),
		'phunk_render_slider'	=> esc_attr__( 'Carousel', 'phunk' ),
		'phunk_hot_topics' 		=> esc_attr__( 'Hot topics', 'phunk' ),
	),
	'priority'    => 10,
) );