//Single post navigation
(function($) {

	$(window).bind('scroll', function() {

		if ( $( 'body' ).hasClass( 'single' ) && !$( 'body' ).hasClass( 'attachment' ) && !$( 'body' ).hasClass( 'single-product' ) ) {
			if( $(window).scrollTop() >= $('.single .hentry').offset().top + $('.single .hentry').outerHeight() - window.innerHeight ) {
				$( '.post-navigation.floating' ).addClass( 'post-nav-visible' );
			} else {
				$( '.post-navigation.floating' ).removeClass( 'post-nav-visible' );
			}
		}
	});

})( jQuery );

//Slick slider
(function($) {

	//Args set from HTML data attribute
	$( '.slider-inner' ).slick({
		responsive: [
			{
			  breakpoint: 1199,
			  settings: {
				slidesToShow: 3,
			  }
			},
			{
			  breakpoint: 991,
			  settings: {
				slidesToShow: 2,
			  }
			},
			{
			  breakpoint: 600,
			  settings: {
				slidesToShow: 1,
			  }
			}
		]
	});

})( jQuery );

//Mobile menu
(function($) {

	var	menuType = 'desktop';

	$(window).on('load resize', function() {
		var currMenuType = 'desktop';

		if ( matchMedia( 'only screen and (max-width: 1024px)' ).matches ) {
			currMenuType = 'mobile';
			var headerHeight = $( '#masthead' ).outerHeight();
		}

		if ( currMenuType !== menuType ) {
			menuType = currMenuType;

			if ( currMenuType === 'mobile' ) {
				var $mobileMenu = $('#site-navigation').attr('id', 'mobile-navigation');
				var hasChildMenu = $('#mobile-navigation').find('li:has(ul)');

				hasChildMenu.addClass( 'has-submenu' );

				hasChildMenu.children('a').after('<span class="submenu-toggle"><a href="#">+</a></span>');
				$('.menu-toggle').removeClass('active');
				$( '#mobile-navigation > div > ul' ).css( 'top', headerHeight - 20 );
			} else {
				var $desktopMenu = $('#mobile-navigation').attr('id', 'site-navigation').removeAttr('style');
				$desktopMenu.find( '> div > ul' ).removeAttr( 'style' );
				$desktopMenu.find('.submenu').removeAttr('style');
				$('.submenu-toggle').remove();
			}
		}
	});

	$('.menu-toggle').on('click', function() {
		$('#mobile-navigation > div > ul').slideToggle();
		$(this).toggleClass('active');
	});

	$(document).on('click', '#mobile-navigation li .submenu-toggle', function(e) {
		e.preventDefault();
		$(this).toggleClass('active').next('ul').slideToggle();
		e.stopImmediatePropagation()
	});


})( jQuery );

 /* Header search */
 (function($) {

	$( '.header-additionals .icon-search' ).on('click', function(event) {
		
		event.preventDefault();

		$( '.header-search-form' ).addClass( 'extra-visible' );
	});
	   
   	$( '.header-search-form .icon-cancel, #content, #masthead, .hero-slider, .hot-topics' ).on('click', function(event) {
		
		$( '.header-search-form' ).removeClass( 'extra-visible' );
	});

	$(document).keyup(function(e) {
		if (e.keyCode === 27) {
			$( '.header-search-form' ).removeClass( 'extra-visible' );
		}
	});

})( jQuery );