<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Phunk
 */

get_header();

$layout = phunk_blog_layout();

if ( 'layout-default' === $layout ) {
	$cols = 'col75';
} elseif ( 'layout-3cols' === $layout ) {
	$cols = '';
} elseif ( 'layout-1cols-2sb' === $layout ) {
	$cols = 'col50';
}

?>

	<?php
	if ( 'layout-1cols-2sb' === $layout ) {
		get_sidebar( 'left' );
	}
	?>

	<section id="primary" class="content-area <?php echo $cols; ?>">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title">
					<?php
					/* translators: %s: search query. */
					printf( esc_html__( 'Search Results for: %s', 'phunk' ), '<span>' . get_search_query() . '</span>' );
					?>
				</h1>
			</header><!-- .page-header -->
			
			<div class="grid-layout clear">
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile; ?>
			</div>
			<?php
			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
if ( 'layout-3cols' !== $layout ) {
	get_sidebar();
}
get_footer();