<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Phunk
 */

get_header();

$layout = phunk_single_layout();

if ( 'layout-default' === $layout ) {
	$cols = 'col75';
} else {
	$cols = 'col100 single-post-no-sidebar';
}
?>

	<div id="primary" class="content-area <?php echo $cols; ?> col-t-100">
		<main id="main" class="site-main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'single' );

			phunk_post_navigation();

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
if ( 'layout-default' === $layout ) {
	get_sidebar();
}
get_footer();