<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Phunk
 */

$reversed_header = get_theme_mod( 'reverse_entry_header' );
if ( !$reversed_header ) {
	$type = '';
} else {
	$type = 'reversed-header';
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header <?php echo $type; ?>">
		<?php
		
		the_title( '<h1 class="entry-title">', '</h1>' );
		
		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				phunk_entry_categories();
				phunk_posted_on();
				echo '<span class="sep">' . esc_html__( '&mdash;', 'phunk' ) . '</span>';
				phunk_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php phunk_post_thumbnail(); ?>

	<div class="entry-content">
		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'phunk' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'phunk' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php phunk_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
