<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Phunk
 */

?>

<?php $read_more_text = get_theme_mod( 'read_more_text', __( 'Continue reading', 'phunk' ) ); ?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php phunk_post_thumbnail(); ?>
	<?php phunk_posted_on(); ?>

	<header class="entry-header">
		<?php

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				phunk_first_category();
				?>
			</div><!-- .entry-meta -->
		<?php endif;
		
		the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		?>

		<a class="read-more-link" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo esc_html( $read_more_text ); ?></a>
	</header><!-- .entry-header -->

</article><!-- #post-<?php the_ID(); ?> -->
